import * as React from 'react';
import { createUseStyles } from 'react-jss';
import ColorWheel from './ColorWheel';
var useStyles = createUseStyles({
    root: function (props) {
        var rootStyles = {
            display: 'inline-block',
            padding: 3,
            margin: 3,
            borderRadius: '50%',
            height: props.size,
            boxShadow: props.selected ? '0 0 0 1.5px #00A7E1' : 'none',
        };
        if (props.onMouseEnter && !props.selected) {
            Object.assign(rootStyles, {
                '&:hover': {
                    boxShadow: '0 0 0 1.5px lightgrey',
                },
            });
        }
        return rootStyles;
    },
});
var ColorAttribute = function (_a) {
    var _b = _a.colors, colors = _b === void 0 ? [] : _b, _c = _a.selected, selected = _c === void 0 ? false : _c, _d = _a.size, size = _d === void 0 ? 32 : _d, id = _a.id, onMouseEnter = _a.onMouseEnter, onMouseLeave = _a.onMouseLeave, onClick = _a.onClick;
    var classes = useStyles({ size: size, selected: selected, onMouseEnter: onMouseEnter });
    return (React.createElement("div", { className: classes.root, onMouseEnter: onMouseEnter ? function () { return onMouseEnter(id); } : undefined, onMouseLeave: onMouseLeave ? function () { return onMouseLeave(id); } : undefined, onClick: onClick ? function () { return onClick(id); } : undefined },
        React.createElement(ColorWheel, { colors: colors, size: size })));
};
export default ColorAttribute;
//# sourceMappingURL=ColorAttribute.js.map