import * as React from 'react';
import { createUseStyles } from 'react-jss';
var useStyles = createUseStyles({
    root: function (_a) {
        var size = _a.size;
        return ({
            width: size,
            height: size,
            position: 'relative',
            '&:after': {
                content: '""',
                borderRadius: '50%',
                boxShadow: 'rgba(0, 0, 0, 0.1) 0px 1px 3px 1px inset',
                position: 'absolute',
                width: '100%',
                height: '100%',
                top: 0,
                bottom: 0,
                display: 'block',
            },
        });
    },
    svg: {
        display: 'block',
        position: 'relative',
        transform: 'rotate(-0.25turn)',
    },
});
var ColorWheel = function (_a) {
    var colors = _a.colors, _b = _a.size, size = _b === void 0 ? 32 : _b;
    var classes = useStyles({ size: size });
    var numberOfSlices = colors.length;
    var percentPerSlice = 1 / numberOfSlices;
    var cumulativeRadians = 0;
    var calculatedColors = colors.map(function (colour) {
        var startX = Math.cos(cumulativeRadians);
        var startY = Math.sin(cumulativeRadians);
        cumulativeRadians += 2 * Math.PI * percentPerSlice;
        var endX = Math.cos(cumulativeRadians);
        var endY = Math.sin(cumulativeRadians);
        var largeArcFlag = percentPerSlice > 0.5 ? 1 : 0;
        return {
            startX: startX,
            startY: startY,
            endX: endX,
            endY: endY,
            largeArcFlag: largeArcFlag,
            colour: colour,
        };
    });
    return (React.createElement("div", { className: classes.root },
        React.createElement("svg", { height: size, width: size, viewBox: "-1 -1 2 2", className: classes.svg }, calculatedColors.map(function (slice) { return (React.createElement("path", { d: "M " + slice.startX + " " + slice.startY + " A 1 1 0 " + slice.largeArcFlag + " 1 " + slice.endX + " " + slice.endY + " L 0 0", fill: slice.colour, key: slice.colour })); }))));
};
export default ColorWheel;
//# sourceMappingURL=ColorWheel.js.map